Bug Hunting Session
Bug 128418 - print preview with writer crash LO
Summary: print preview with writer crash LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-10-27 17:46 UTC by Xavier Van Wijmeersch
Modified: 2019-10-28 22:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (5.14 KB, text/plain)
2019-10-27 18:39 UTC, Julien Nabet
Details
bt with debug symbols (kf5) (6.44 KB, text/plain)
2019-10-27 18:43 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Van Wijmeersch 2019-10-27 17:46:45 UTC
steps to reproduce:

open a document in writer
click or ctrl+shift+o to see the doc in preview mode
crash after a second
no crash with calc

Version: 6.4.0.0.alpha1+
Build ID: 505822ef941194552ae782081d5f6e9d2a6989d3
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Dieter Praas 2019-10-27 18:27:24 UTC
I can't confirm with

Version: 6.4.0.0.alpha1 (x64)
Build ID: cc57df8f942f239d29cb575ea5a7cb01405db787
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 2 Julien Nabet 2019-10-27 18:39:03 UTC
Created attachment 155348 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today + gtk3, I could reproduce this.
Comment 3 Julien Nabet 2019-10-27 18:40:58 UTC
I could reproduce this with kf5 but not with gen rendering.
Comment 4 Julien Nabet 2019-10-27 18:43:33 UTC
Created attachment 155349 [details]
bt with debug symbols (kf5)
Comment 5 Xisco Faulí 2019-10-28 11:18:08 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ec0a3db0cbb5413d10e70c9843e679bbf2327c15

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-10-22 11:32:09 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-10-23 12:17:00 +0200
commit	ec0a3db0cbb5413d10e70c9843e679bbf2327c15 (patch)
tree	b014c4a8d600fa2e7ee50b01f2ec80df34e57772
parent	942d1d2ea59bf4605f2c464a6b29c967fa9f8de8 (diff)
Add document-level option to lock down file export

Bisected with: bibisect-linux64-6.4

Adding Cc: to Samuel Mehrbrodt
Comment 6 Commit Notification 2019-10-28 16:17:59 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d1b9267a646983ca9f301871056ae611d27be171

tdf#128418 Fix crash in print preview

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xavier Van Wijmeersch 2019-10-28 22:03:43 UTC
its working again thank you